@import 'src/style/includes/sass_vars_and_mixins.module.scss';


.wrapper {
  position: relative;
  //border-bottom: 1px solid $color-border-light;
}

.sideNames {
  display: flex;
  justify-content: flex-end;
  margin-bottom: var(--space-xs);
  margin-top: calc(-1 * var(--space-xxxs));
}

.sideName {
  font-weight: 600;
  font-size: var(--font-size-s);
  display: flex;
  align-items: center;
  margin-right: var(--space-s);
  box-shadow: 0 2px 0 var(--color);
  //background: var(--color-weaker);
  //padding: 0 var(--space-xxs);
  line-height: var(--font-line-height-base);

  &.bottom {
    margin-right: 0;
  }
}

.sideWrapper {
  position: relative;
}

.step {
  position: absolute;
  list-style: none;
  display: block;
  line-height: 1.2em;
  background: white;
  box-shadow: 0 0 0 2px var(--color-background-base);
  max-width: 200px;
  min-width: 150px;
  font-size: var(--font-size-s);

  @include smaller-than-m {
    min-width: 100px;
    font-size: var(--font-size-s);
  }
}

.stepInner {
  padding: var(--space-xxxs) var(--space-xxs);
  display: inline-flex;
  align-items: baseline;
  justify-content: center;
  flex-wrap: wrap;
  background: var(--color-weaker);
  box-shadow: 0 calc(var(--sign) * -2px) 0 var(--color);

  text-align: center;
  width: 100%;

  @include smaller-than-s {
    line-height: 1.3em;
    padding: 0.2em 0.4em;
  }
}

.stepSecondary {
  font-weight: 400;
  color: var(--color-text-weaker);
  white-space: nowrap;
}


.connectorCanvas {
  position: absolute;
  overflow: visible;
}

.connector {
  fill: transparent;
  stroke-width: 1;
}

.axis {
  position: relative;
  height: 2px;
  background: var(--color-brand-weaker);
  margin: 32px 0;
  width: 100%;
}

.tick {
  position: absolute;
  background: var(--color-background-base);
  border-radius: 2em;
  font-size: var(--font-size-s);
  color: var(--color-emissions-ndc_compat);
  line-height: 1em;

  &:not(.hasLabel) {
    width: 2px;
    transform: translateX(-1px);
    height: 100%;
  }

  &.hasLabel {
    transform: translate(-50%, calc(-50% + 1.5px));
    padding: .3em .5em;
    z-index: 1;

    &.major {
      font-weight: 600;
      //background: var(--color-brand-weaker);
      //border: 1px solid var(--color-emissions-ndc_compat);
    }
  }
}
